# $Revision: 1.11 $, $Date: 2005/01/14 07:08:35 $

%define		_ver		20050103

Summary:	The enhanced FTP client
Summary(pl):	Rozszerzony klient FTP
Name:		tnftp
Version:	2.0
Release:	0.%{_ver}.1
License:	BSD
Group:		Applications/Networking
Vendor:		Luke Mewburn <lukem@netbsd.org>
Source0:	ftp://ftp.netbsd.org/pub/NetBSD/misc/tnftp/%{name}-%{_ver}.tar.gz
# Source0-md5:	831d606d4f13f1826675d066f12a4169
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ftp
Obsoletes:	ftp6
Obsoletes:	lukemftp
Provides:	lukemftp

%description
The enhancements over the standard FTP client include:
- command-line fetching of URLs, including support for:
	- HTTP and FTP proxies
	- authentication
- dynamic progress bar
- IPv6 support
- paging of local and remote files, and of directory listings
- socks4/socks5 support
- TIS Firewall Toolkit gate FTP proxy support
- transfer-rate throttling
- other

%description -l pl
Dodatkowe rozszerzenia w stosunku do standardowego klienta to:
- obsuga URLi w linii polece wczajc wsparcie dla:
	- HTTP i FTP proxy
	- autoryzacje
- dynamiczny wskanik postpu
- stronicowanie lokalnych i zdalnych listingw plikw i katalogw
- wsparcie dla IPv6
- wsparcie dla socks4/socks5
- wsparcie dla bramki FTP w TIS Firewall Toolkit
- inne

%prep
%setup -q -n %{name}-%{_ver}

%build

%configure2_13 \
	--enable-editcomplete \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	prefix=$RPM_BUILD_ROOT \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1
install src/ftp.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README THANKS todo
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/ftp.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tnftp.spec,v $
Revision 1.11  2005/01/14 07:08:35  adamg
- updated to snap 20050103 (fixes vulnerability described in CAN-2004-1294)

Revision 1.10  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.9  2004/10/24 21:53:16  paladine
- uppercases

Revision 1.8  2003/10/16 11:38:51  djrzulf
- symlink now is not needed

Revision 1.7  2003/10/16 11:35:42  djrzulf
- updated

Revision 1.6  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.5  2003/05/29 01:05:47  djrzulf
- added missed symlink, release 0.2,

Revision 1.4  2003/05/28 13:02:18  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:27:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/21 12:22:47  djrzulf
- added Obsolete and Provides to easy-upgrade

Revision 1.1  2003/04/21 12:19:22  djrzulf
- from lukemftp (changed name),

Revision 1.16  2003/02/16 21:48:03  adgor
- Updated to 1.6-beta2

Revision 1.15  2002/11/27 21:10:42  juandon
- new %%doc

Revision 1.14  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/05 09:34:56  qboosh
- typos, maked pl summary as pl; release 4

Revision 1.9  2001/10/01 17:03:05  blues
- release 3
- ac2.5 ready

Revision 1.8  2001/04/20 13:34:23  misiek
- rebuild on new glibc to get proper size of ipv6 sockaddr_* structures
- release 2

Revision 1.7  2000/10/11 16:39:55  kloczek
- updated to 1.5,
- removed outdated tinfo patch,
- use new rpm automation.

Revision 1.6  2000/07/20 10:15:58  kloczek
- updated to 1.4.

Revision 1.5  2000/07/13 23:14:35  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.4  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/14 22:41:16  kloczek
- added BuildRequires rules,
- typo: s/LDLAGS/LDFLAGS/ (stripping in %install noow is not neeeded),
- cosmetics,
- fixed %files list (removed %%{_mandir}/man1/cat1 files).

Revision 1.1  2000/05/12 11:33:28  misiek
- biblioteka obsugi plikw dwikowych
- niezy klient ftp (z ipv6) zastpujcy pakiet ftp-*
